Conecta con nosotros

Noticias

Descubren un fallo de seguridad grave en OpenSSH: miles de servidores, en peligro

Publicado el

Descubren un fallo de seguridad grave en OpenSSH: miles de servidores, en peligro

OpenSSH está considerado como una de las implementaciones de software más seguras del mundo. Pero desde hace unos días ya no lo es tanto, ya que se ha descubierto que tiene un fallo de seguridad bastante grave que permite que los atacantes que lo exploten puedan tomar el control completo de los sistemas Linux que lo tengan instalado. Esto puede comprometer la seguridad de miles de servidores repartidos por todo el mundo.

Al parecer, según un informe publicado por Qualys, la vulnerabilidad lleva en OpenSSH cuatro años, y en la actualidad afecta a unos 14 millones de endpoints. Qualys la ha denominado regreSSHion, y le ha asignado el número de identificación CVR-2024-6387.

Qualys ha puesto este nombre a la vulnerabilidad porque se trata de una regresión de una anterior, que ya había sido parcheada. En concreto, de la CVE-2006-5051. que se descubrió y parcheó en 2006. Según los investigadores que la han descubierto, «si se explota, permite que un atacante pueda ejecutar código de manera arbitraria con los privilegios más altos, lo que daría a los atacantes el control completo del sistema«, para poder realizar las operaciones que deseen, como «creación de backdoors o instalación de malware, entre otras cosas«.

Según las investigaciones de Qualys relacionadas con esta vulnerabilidad, los datos anonimizados de su plataforma CSAM 3.0 con información de Gestión de superficie de ataque externa han certificado que hay alrededor de 700.000 instancias conectadas a Internet vulnerables por ella. Son aproximadamente el 31% de todas las instancias a las que se puede acceder desde Internet que tienen OpenSSH de clientes de Qualys.

Como dato curioso que ha desvelado la compañía, alrededor del 0,14% de las instancias conectadas a Internet vulnerables a este fallo de seguridad con servicio OpenSSH están ejecutando una versión de OpenSSH que ha llegado al final de su ciclo de vida o que ya no cuenta con soporte.

EL nivel de gravedad de este fallo de seguridad es equivalente al Apache Log4J descubierto en 2021. Dicho fallo de seguridad, identificado como CVR-2021-44228, se descubrió en la librería de logeado Log4J, ampliamente utilizada en aplicaciones de Java. Permitía a los atacantes ejecutar código malicioso de manera remota, y tomar el control de todo el endpoint afectado. Afectó a bastantes empresas de diversos sectores. Entre ellas a Apple o Amazon.

Redactora de tecnología con más de 15 años de experiencia, salté del papel a la Red y ya no me muevo de ella. Inquieta y curiosa por naturaleza, siempre estoy al día de lo que pasa en el sector.

Lo más leído